attribute vec4 vertexAttribPosition;
varying highp vec2 v_textureCoordinate;

uniform vec2 texelOffset;

varying vec2 blurCoordinates[9];

void main()
{
    vec2 inputTextureCoordinate = vertexAttribPosition.xy * 0.5 + 0.5;
    vec2 singleStepOffset = vec2(texelOffset.x, texelOffset.y);

    blurCoordinates[0] = inputTextureCoordinate.xy;
    blurCoordinates[1] = inputTextureCoordinate.xy + singleStepOffset;
    blurCoordinates[2] = inputTextureCoordinate.xy - singleStepOffset;
    blurCoordinates[3] = inputTextureCoordinate.xy + singleStepOffset * 2.0;
    blurCoordinates[4] = inputTextureCoordinate.xy - singleStepOffset * 2.0;
    blurCoordinates[5] = inputTextureCoordinate.xy + singleStepOffset * 3.0;
    blurCoordinates[6] = inputTextureCoordinate.xy - singleStepOffset * 3.0;
    blurCoordinates[7] = inputTextureCoordinate.xy + singleStepOffset * 4.0;
    blurCoordinates[8] = inputTextureCoordinate.xy - singleStepOffset * 4.0;

    gl_Position = vertexAttribPosition;
}
